"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is not empty
 */
var ENSURE_NONEMPTY = function () {
    var pattern = /.+/;
    return {
        description: {
            name: 'ENSURE_NONEMPTY',
        },
        process: function (value) { return ({
            error: !pattern.test(value),
            value: value,
        }); },
    };
};
exports.default = ENSURE_NONEMPTY;
//# sourceMappingURL=nonempty.validation-ensure.js.map